This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1388583 - smokeping fails to start on boot
smokeping fails to start on boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smokeping (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-25 13:33 EDT by Jason Scalia
Modified: 2016-11-06 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version: smokeping-2.6.11-1.fc24 smokeping-2.6.11-1.fc25 smokeping-2.6.11-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 15:51:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working smokeping.service (252 bytes, patch)
2016-10-25 13:55 EDT, Jason Scalia
no flags Details | Diff

  None (edit)
Description Jason Scalia 2016-10-25 13:33:29 EDT
Description of problem:

smokeping fails to start on boot

Version-Release number of selected component (if applicable):

smokeping-2.6.10-3.fc24.noarch

How reproducible:

Reproducible on each boot

Steps to Reproduce:
1. have smokeping installed and run systemctl enable smokeping
2. reboot
3. systemctl status smokeping


Actual results:

[root@nutshell ~]# systemctl status smokeping
● smokeping.service - Latency Logging and Graphing System
   Loaded: loaded (/usr/lib/systemd/system/smokeping.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Tue 2016-10-25 13:31:27 EDT; 1min 15s ago
  Process: 1012 ExecStart=/usr/sbin/smokeping --nodaemon (code=exited, status=9)
 Main PID: 1012 (code=exited, status=9)

Oct 25 13:31:08 nutshell.downontheupside.net systemd[1]: Started Latency Logging and Graphing System.
Oct 25 13:31:09 nutshell.downontheupside.net smokeping[1012]: WARNING: Hostname 'google.com' does currently not resolve to an IPv4 address
Oct 25 13:31:09 nutshell.downontheupside.net smokeping[1012]: WARNING: Hostname 'www.google.com' does currently not resolve to an IPv4 address
Oct 25 13:31:09 nutshell.downontheupside.net smokeping[1012]: WARNING: Hostname 'www.datapipe.com' does currently not resolve to an IPv4 address
Oct 25 13:31:09 nutshell.downontheupside.net smokeping[1012]: WARNING: Hostname 'xmlrpc.rhn.redhat.com' does currently not resolve to an IPv4 address
Oct 25 13:31:27 nutshell.downontheupside.net smokeping[1012]: ERROR: output of '/bin/dig localhost' does not match (?^i:query time:\s+([0-9.]+)\smsec.*)
Oct 25 13:31:27 nutshell.downontheupside.net smokeping[1012]:  at (eval 50) line 1.
Oct 25 13:31:27 nutshell.downontheupside.net systemd[1]: smokeping.service: Main process exited, code=exited, status=9/n/a
Oct 25 13:31:27 nutshell.downontheupside.net systemd[1]: smokeping.service: Unit entered failed state.
Oct 25 13:31:27 nutshell.downontheupside.net systemd[1]: smokeping.service: Failed with result 'exit-code'.



Expected results:

smokeping should be running.

Additional info:

systemctl start smokeping will start the service as expected. Assuming that it is trying to start before networking is available.
Comment 1 Jason Scalia 2016-10-25 13:43:50 EDT
Changing the following line in /usr/lib/systemd/system/smokeping.service from:

After=syslog.target network.target

to:

After=syslog.target network-online.target

Seems to have fixed the issue for me.
Comment 2 Terje Røsten 2016-10-25 13:46:23 EDT
Hi! Thanks for fix, will push update!
Comment 3 Jason Scalia 2016-10-25 13:55 EDT
Created attachment 1214026 [details]
working smokeping.service

Tested on fc24 x86_64 with smokeping-2.6.10-3.fc24.noarch
Comment 4 Jason Scalia 2016-10-25 14:02:26 EDT
Great, thank you for the quick response!
Comment 5 Terje Røsten 2016-10-25 14:32:28 EDT
Update pushed: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d512bce0a1
Comment 6 Fedora Update System 2016-10-26 13:50:16 EDT
smokeping-2.6.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12cfbb1af5
Comment 7 Fedora Update System 2016-10-26 16:32:37 EDT
smokeping-2.6.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b7dad297bb
Comment 8 Fedora Update System 2016-10-26 18:26:26 EDT
smokeping-2.6.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d512bce0a1
Comment 9 Fedora Update System 2016-10-28 15:51:51 EDT
smokeping-2.6.11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-10-31 03:36:43 EDT
smokeping-2.6.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-11-06 18:21:23 EST
smokeping-2.6.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.